2018-12-10 07:19 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001473MonteverdiGeneralpublic2018-01-09 17:35
Reportergrizonnetm 
Assigned Togpasero 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Summary0001473: Not sure that Monteverdi is taking into account user preference relative to minimum number of pixel
DescriptionIn Monteverdi, in the preference panel the user can select a number which corresponds to the minimum size on which overview can be generated for imported images. The default value is 4096

The first issue is that it is not clear if this number correspond to the image size (X or Y dimension) or a total number of pixel. Perhaps we can add a tooltip to describe this in the input widget.

Secondly I'm not 100% sure that Monteverdi takes theis preference into account. I change it to 3000 and open a 3500*3500 image and monteverdi did not open the overview generation window.

BTW, in the source code I found the variable OVERVIEWS_SIZE_DEFAULT but I did not found where the size is used and where the size check is performed before launching the gdal ovr generation.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004422

gpasero (administrator)

Few things to know :
* When your image already has overviews (reported by GDAL), you won't see the OverviewBuilder popup.
* The number of pixels is a threshold for the smallest of the image dimensions. For instance with a setting at 100 pixels and :
  - an image of 75x150 : no popup
  - an image of 110x120 : popup

~0004423

gpasero (administrator)

Tooltip added in release-6.2:

https://git.orfeo-toolbox.org/otb.git/commit/ba76e503c4f09b2f290b903fe2b15941f644416f
+Notes

-Issue History
Date Modified Username Field Change
2017-10-19 14:53 grizonnetm New Issue
2017-10-24 15:16 gpasero Assigned To => gpasero
2017-10-24 15:16 gpasero Status new => assigned
2017-10-24 15:26 gpasero Note Added: 0004422
2017-10-24 16:05 gpasero Note Added: 0004423
2017-10-24 16:05 gpasero Status assigned => resolved
2017-10-24 16:05 gpasero Resolution open => fixed
2018-01-09 17:35 grizonnetm Status resolved => closed
+Issue History